# frozen_string_literal: true

require 'thor'
require 'teamcity'
require 'awesome_print'
require 'pry'

require_relative 'sambot/application_error'
require_relative 'sambot/config'
require_relative 'sambot/ui'
require_relative 'sambot/runtime'
require_relative 'sambot/version'
require_relative 'sambot/template'
require_relative 'sambot/fs'
require_relative 'sambot/source_control'

require_relative 'sambot/testing/consul_helper'
require_relative 'sambot/testing/vault_helper'
require_relative 'sambot/testing/fixtures'

require_relative 'sambot/chef/kitchen'
require_relative 'sambot/chef/metadata'
require_relative 'sambot/chef/hooks'
require_relative 'sambot/chef/cookbook'
require_relative 'sambot/chef/server'
require_relative 'sambot/chef/generator'
require_relative 'sambot/chef/roles'

require_relative 'sambot/tasks/create'
require_relative 'sambot/tasks/verify'
require_relative 'sambot/tasks/build'
require_relative 'sambot/tasks/version'
require_relative 'sambot/tasks/up'
require_relative 'sambot/tasks/down'
require_relative 'sambot/tasks/populate'
require_relative 'sambot/tasks/test'
require_relative 'sambot/cli'

require_relative 'sambot/teamcity/faraday'
require_relative 'sambot/teamcity/projects'
require_relative 'sambot/teamcity/builds'

module Sambot
end
