# frozen_string_literal: true

module Sambot
  module Chef
    class Hooks

      SCRIPTS = ['pre-push', 'pre-commit'].freeze

      def self.copy
        SCRIPTS.each do |hook|
          working_path = ".git/hooks/#{hook}"
          template_path = Template.new("git_hooks/#{hook}").path
          File.delete(working_path) if File.exist?(working_path)
          FileUtils.cp(template_path, working_path)
          UI.debug("The #{hook} Git hook has been added to the cookbook.")
        end
      end

    end
  end
end
