# frozen_string_literal: true

require_relative 'base_command'

module Sambot
  class FS

    def self.delete(filename)
      return unless File.exist?(filename)
      File.delete(filename)
      UI.debug("./#{filename} has been removed.")
    end

    def self.exist?(resource)
      File.exist?(resource) || Dir.exist?(resource)
    end

    def self.mkdir(resource)
      unless FS.exist?(resource)
        FileUtils.mkdir(resource)
      end
    end

    def self.copy(resource)
      filename = File.expand_path(File.join(File.dirname(__FILE__), 'templates', resource))
      UI.debug("Copying #{filename} to #{resource}")
      FileUtils.cp(filename, resource)
    end

  end
end
