# frozen_string_literal: true

require 'gems'

module Sambot
  module Runtime

    def self.obsolete?
      latest_version = Gems.new.versions('sambot')[0]['number']
      Gem::Version.new(Sambot::VERSION) < Gem::Version.new(latest_version)
    end

    def self.ensure_latest
      latest_version = Gems.new.versions('sambot')[0]['number']
      UI.debug("Current version is #{Sambot::VERSION}")
      UI.debug("Latest version is #{latest_version}")
      UI.info('A newer version of this gem exists - please update the gem before continuing') if obsolete?
    end

  end
end
