# frozen_string_literal: true

require_relative '../base_command'

module Sambot
  module Tasks
    class Build < BaseCommand

      no_commands do

        def run(options)
          cloud = nil
          cloud = 'local' if options[:local]
          cloud = 'google' if options[:google]
          cloud = 'rackspace' if options[:rackspace]
          unless cloud
            UI.error('Please select which environment this is building for using one of the following flags: --local, --rackspace or --google')
            exit
          end
          local_workflow = options[:docker] ? 'docker' : 'vagrant'
          Chef::Cookbook.build(Config.read, cloud, local_workflow)
        end

      end

    end
  end
end
