# frozen_string_literal: true

require_relative '../base_command'

module Sambot
  module Tasks
    class Up < BaseCommand

      no_commands do

        def run(options)
          unless File.exist?('docker-compose.yml')
            UI.error("This command should only be run in a cookbook directory. Make sure you have run `chef exec sambot build --local --docker` before trying again.")
            exit 1
          end
          `docker-compose -p local up -d`
          Sambot::Tasks::Populate.new.run(options)
        end

      end

    end
  end
end
