# frozen_string_literal: true

require_relative '../base_command'

module Sambot
  module Tasks
    class Verify < BaseCommand

      no_commands do

        def run(options)
          check_configuration
          config = Config.read
          ::TeamCity.create_cookbook_build(config)
          ::Sambot::SourceControl.create_repository(config)
          ::Sambot::SourceControl.set_git_remote(config)
          ::Sambot::SourceControl.add_deploy_key(config)
        end

        def check_configuration
          unless ENV['TEAMCITY_USERNAME']
            UI.error("Please ensure the TEAMCITY_USERNAME environment variable is set before running this command")
            exit
          end
          unless ENV['TEAMCITY_PASSWORD']
            UI.error("Please ensure the TEAMCITY_USERNAME environment variable is set before running this command")
            exit
          end
        end

      end

    end
  end
end
