# frozen_string_literal: true

module Sambot
  module UI

    @@silent = false

    def self.silent=(value)
      @@silent = value
    end

    def self.ask(msg)
      Thor.new.ask(msg) unless @@silent
    end

    def self.ask_password(msg)
      Thor.new.ask(msg, echo: false) unless @@silent
    end

    def self.warn(msg)
      date_format = DateTime.now.strftime('%Y-%m-%d %H:%M:%S')
      Thor.new.say("#{date_format} [W] #{msg}", :yellow) unless @@silent
    end

    def self.debug(msg)
      date_format = DateTime.now.strftime('%Y-%m-%d %H:%M:%S')
      Thor.new.say("#{date_format} [D] #{msg}", :gray) unless @@silent
    end

    def self.info(msg)
      date_format = DateTime.now.strftime('%Y-%m-%d %H:%M:%S')
      Thor.new.say("#{date_format} [I] #{msg}", :green) unless @@silent
    end

    def self.error(msg)
      date_format = DateTime.now.strftime('%Y-%m-%d %H:%M:%S')
      Thor.new.say("#{date_format} [E] #{msg}", :red) unless @@silent
    end

  end
end
