# -*- encoding: utf-8 -*-
# stub: sambot 0.1.229 ruby lib

Gem::Specification.new do |s|
  s.name = "sambot".freeze
  s.version = "0.1.229"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Olivier Kouame".freeze]
  s.date = "2017-08-14"
  s.description = "# Sambot\n\nSambot is our internal Platform Engineering toolchain to help standardize and\nsimplify our DevOps workflow.\n\nIt provides an executable with a variety of commands, grouped in various areas\nof functionality such as session management, DNS changes and cookbook management.\n\n## Usage\n\nTo install the gem, simply run `chef gem install sambot`. This will install the\ngem in your ChefDK installation. If you want to use it outside Chef,\nrun `gem install sambot`.\n\nRun `chef exec sambot` to be shown the help menu. For help on specific commands,\ni.e. cookbook management and specific cookbook management commands, run\n`chef exec sambot help cookbook` or `chef exec sambot cookbook help generate`\nfor example.\n\n## Contributing\n\nBug reports and pull requests are welcome on GitHub at\nhttps://github.exacttarget.com/ads-devops/sambot.\n\n### Installation\n\nMake sure you have `ruby >= 2.4.0` installed.\n\nInstall `bundler >= 1.15.1` by running `gem install bundler`\n\nRun `bundle install` from the root of the project to install the\nrequired Ruby gems.\n\n### Running Sambot\n\nIf you want to test your changes locally, you can run `bundle exec bin/sambot`.\n\n### Running Tests\n\nRun `bundle exec rspec spec` to execute the unit tests.\n\nRun `cd integration_tests && bundle exec rspec .` to execute the integration\ntests. These require that you have Docker Compose available. \n\n### Linting\n\nThere is nothing here yet\n".freeze
  s.email = ["olivier.kouame@gmail.com".freeze]
  s.executables = ["sambot".freeze]
  s.files = ["bin/sambot".freeze]
  s.homepage = "http://github.com/okouam/sambot".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Tooling for a DevOps workflow".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<thor-hollaback>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<git>.freeze, ["~> 1.3"])
    s.add_runtime_dependency(%q<process_exists>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<climate_control>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<github_api>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<vault>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<ridley>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<titan>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<teamcity-ruby-client>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<open4>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<google-cloud>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<diplomat>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<byebug>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<semantic>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<chef>.freeze, ["~> 12.18"])
    s.add_runtime_dependency(%q<thor>.freeze, ["~> 0.19"])
    s.add_runtime_dependency(%q<erubis>.freeze, ["~> 2.7", ">= 2.7.0"])
    s.add_runtime_dependency(%q<gems>.freeze, ["~> 1.0", ">= 1.0.0"])
    s.add_runtime_dependency(%q<awesome_print>.freeze, [">= 0"])
    s.add_development_dependency(%q<pry>.freeze, [">= 0"])
    s.add_development_dependency(%q<fuubar>.freeze, [">= 0"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.49"])
    s.add_development_dependency(%q<gem-release>.freeze, ["~> 1.0"])
    s.add_development_dependency(%q<bundler>.freeze, [">= 0"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.0"])
  else
    s.add_dependency(%q<thor-hollaback>.freeze, [">= 0"])
    s.add_dependency(%q<git>.freeze, ["~> 1.3"])
    s.add_dependency(%q<process_exists>.freeze, [">= 0"])
    s.add_dependency(%q<climate_control>.freeze, [">= 0"])
    s.add_dependency(%q<github_api>.freeze, [">= 0"])
    s.add_dependency(%q<vault>.freeze, [">= 0"])
    s.add_dependency(%q<ridley>.freeze, [">= 0"])
    s.add_dependency(%q<titan>.freeze, [">= 0"])
    s.add_dependency(%q<teamcity-ruby-client>.freeze, [">= 0"])
    s.add_dependency(%q<open4>.freeze, [">= 0"])
    s.add_dependency(%q<google-cloud>.freeze, [">= 0"])
    s.add_dependency(%q<diplomat>.freeze, [">= 0"])
    s.add_dependency(%q<byebug>.freeze, [">= 0"])
    s.add_dependency(%q<semantic>.freeze, [">= 0"])
    s.add_dependency(%q<chef>.freeze, ["~> 12.18"])
    s.add_dependency(%q<thor>.freeze, ["~> 0.19"])
    s.add_dependency(%q<erubis>.freeze, ["~> 2.7", ">= 2.7.0"])
    s.add_dependency(%q<gems>.freeze, ["~> 1.0", ">= 1.0.0"])
    s.add_dependency(%q<awesome_print>.freeze, [">= 0"])
    s.add_dependency(%q<pry>.freeze, [">= 0"])
    s.add_dependency(%q<fuubar>.freeze, [">= 0"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.49"])
    s.add_dependency(%q<gem-release>.freeze, ["~> 1.0"])
    s.add_dependency(%q<bundler>.freeze, [">= 0"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.0"])
  end
end
